Subject: RE: [net-next 2/2] ena: Link queues to NAPIs

From: "Arinzon, David" <[email-masked]>
Date: Tue, 1 Oct 2024 16:40:32 +0000

> > > >
> > > > Thank you for uploading this patch.
> > >
> > > Can you please let me know (explicitly) if you want me to send a
> > > second revision (when net-next allows for it) to remove the 'struct
> > > napi_struct' and add a comment as described above?
> >
> > Yes, I would appreciate that.
> > I guess the `struct napi_struct` is OK, this way both functions will look the
> same.
> > Regarding the comment, yes please, something like /* This API is
> supported for non-XDP queues only */ in both places.
> > I also added a small request to preserve reverse christmas tree order on
> patch 1/2 in the series.
> 
> Thanks for mentioning the nit about reverse christmas tree order; I missed
> that.
> 
> I will:
>   - Fix the ordering of the variables in 1/2
>   - Add 2 comments in 2/2
> 
> I'll have to wait the ~48hr timeout before I can post the v2, but I'll be sure to
> CC you on the next revision.

It's not at least a 24hr timeout?
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/Documentation/process/maintainer-netdev.rst#n394

> 
> > Thank you again for the patches in the driver.
> 
> No worries, thanks for the review.
> 
> BTW: Since neither of the changes you've asked me to make are functional
> changes, would you mind testing the driver changes on your side just to
> make sure? I tested them myself on an ec2 instance with an ENA driver, but I
> am not an expert on ENA :)
> 
> - Joe

I picked up the patch and got to the same results that you did when running on an EC2 instance.
Thank you for sharing the commands in the commit messages, it was really helpful.
Correct me if I'm wrong, but there's no functional impact to these changes except the ability to
view the mappings through netlink.